%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/org/rhq/%{name}/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src


%define project_version 3.0.0.EmbJopr3
Name:           rhq
Version:        3.0.0
Release:        17.EmbJopr3%{?dist}
Summary:        RHQ is a server management and monitoring suite primarily targeted at JBoss software 

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://www.rhq-project.org/
# git clone git://git.fedorahosted.org/rhq/rhq.git
# cd rhq
# git checkout RHQ_3_0_0_EmbJopr3
# git checkout -b RHQ_3_0_0_EmbJopr3
# cd ..
# cp -r rhq ~/Desktop/temp
# cd ~/Desktop/temp
# rm -rf rhq/.git
# tar jcf rhq.tar.bz2 rhq/
Source0:        %{name}-%{project_version}.tar.bz2
Source1:        %{name}-jpp-depmap.xml
Source2:        %{name}-settings.xml
Source3:        %{name}-repo.tar.bz2
#Source4:        %{name}-jboss-seam2.tar.gz
#Source8:        %{name}-jboss-embeddable-ejb3-hibernate-all.tar.gz

# Comment some maven plugins not existed in Brew
Patch0:         %{name}-pom.patch
# Remove @org.jetbrains.annotations.Nullable @org.jetbrains.annotations.NotNull from source
Patch1:         %{name}-no-jetbrains-annotations.patch
# Remove sigar-dist dep
Patch2:         %{name}-core-native-system-no-sigar-dist.patch
# Comment jdbc driver deps for test
Patch3:         %{name}-core-dbutils-skip-test-driver.patch
# Add hibernate3-jmx dep, remove jdbc driver deps for test
Patch4:         %{name}-core-domain-pom.patch
# Comment augeas-native maven-antrun-plugin deps
Patch5:         %{name}-core-plugin-container-pom.patch
# Add hibernate-validator dep
Patch6:         %{name}-core-gui-pom.patch
# For compatibility
Patch7:         %{name}-core-gui-AbstractPagedDataModel2.patch
# For compatibility with ANT
Patch8:         %{name}-common-ant-bundle-AntMain.patch
# For compatibility with ANT
Patch9:         %{name}-common-ant-bundle-AntLauncher.patch
# Skip augeas-native
Patch10:        %{name}-enterprise-agenet-ant-run.patch
#FIXME: comment enterprise module in core profile
Patch11:        %{name}-modules-disable-enterprise-profile-pom.patch

#comment jboss.jboss-embeddable-ejb3 dep
Patch12:        rhq-core-plugin-api-pom.patch

#comment jboss.jboss-embeddable-ejb3 dep
Patch13:        rhq-core-client-api-pom.patch

#comment jboss.jboss-embeddable-ejb3 dep
Patch14:        rhq-core-common-pom.patch

#comment jboss.jboss-embeddable-ejb3 dep
Patch15:        rhq-modules-plugin-pom.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires:  ant
BuildRequires:  ant-contrib
BuildRequires:  ant-nodeps
BuildRequires:  maven2 >= 0:2.0.4-9
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven-surefire
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-surefire-report-plugin
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-ejb
BuildRequires:  maven2-plugin-war
BuildRequires:  maven2-plugin-ear
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-scm
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-exec
BuildRequires:  mojo-maven2-plugin-properties
BuildRequires:  mojo-maven2-plugin-buildnumber
BuildRequires:  mojo-maven2-plugin-jboss-packaging
BuildRequires:  mojo-maven2-plugin-jaxb2
BuildRequires: hibernate3-ejb-persistence-3.0-api
BuildRequires: testng
BuildRequires: sigar-java
BuildRequires: org-mc4j-ems
BuildRequires:  jmock
BuildRequires:  hamcrest
BuildRequires:  i18nlog
BuildRequires:  slf4j
BuildRequires:  qdox
BuildRequires:  postgresql-jdbc
BuildRequires:  javassist
BuildRequires:  gnu-trove
BuildRequires:  hibernate3
BuildRequires:  hibernate3-annotations
BuildRequires:  hibernate3-entitymanager
BuildRequires:  hibernate3-validator
BuildRequires:  gwt
BuildRequires:  gwt-devel
BuildRequires:  concurrent
BuildRequires:  dom4j
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-codec
BuildRequires:  antlr
BuildRequires:  xerces-j2
BuildRequires:	jboss-transaction-1.0.1-api
BuildRequires:	jboss-parent
BuildRequires:	jboss-javaee
BuildRequires:	hsqldb
BuildRequires:	jdom
BuildRequires:	freemarker
BuildRequires:  glassfish-jaxws >= 0:2.1.3
BuildRequires:  richfaces
BuildRequires:  richfaces-framework
BuildRequires:  richfaces-ui
BuildRequires:  jakarta-commons-el
#BuildRequires:  el_1_0_api
BuildRequires:  jboss-el
BuildRequires:  jakarta-commons-discovery
BuildRequires:  jsp_2_0_api
BuildRequires:  servlet_2_5_api
BuildRequires:  glassfish-jaxb
BuildRequires:  glassfish-jsf
BuildRequires:  xmlrpc
BuildRequires:  jboss-jbpm-jpdl
BuildRequires:  gnu-getopt
BuildRequires:  jboss-common-core
BuildRequires:  jboss-remoting
BuildRequires:  jboss-serialization
#BuildRequires:  jboss4-jmx
BuildRequires:  jbossws
BuildRequires:  jbossws-parent
BuildRequires:  jbossws-spi
BuildRequires:  jboss-seam2-runtime
BuildRequires:  stax_1_0_api

#Requires: hibernate3-ejb-persistence-3.0-api
#Requires: sigar-java
#Requires: org-mc4j-ems
#Requires:  jmock
#Requires:  i18nlog
#Requires:  slf4j
#Requires:  qdox
#Requires:  postgresql-jdbc
#Requires:  javassist
#Requires:  gnu-trove
#Requires:  hibernate3
#Requires:  hibernate3-annotations
#Requires:  hibernate3-entitymanager
#Requires:  hibernate3-validator
#Requires:  gwt
#Requires:  gwt-devel
#Requires:  concurrent
#Requires:  dom4j
#Requires:  jakarta-commons-collections
#Requires:  jakarta-commons-codec
#Requires:  antlr
#Requires:  xerces-j2
#Requires:	jboss-transaction-1.0.1-api
#Requires:	jboss-parent
#Requires:	jboss-javaee
#Requires:	hsqldb
#Requires:	jdom
#Requires:	freemarker
#Requires:  glassfish-jaxws >= 0:2.1.3
#Requires:  richfaces
#Requires:  richfaces-framework
#Requires:  richfaces-ui
#Requires:  jakarta-commons-el
#Requires:  el_1_0_api
#Requires:  jakarta-commons-discovery
#Requires:  jsp_2_0_api
#Requires:  servlet_2_5_api
#Requires:  glassfish-jaxb
#Requires:  glassfish-jsf
#Requires:  xmlrpc
#Requires:  jboss-jbpm-jpdl
#Requires:  gnu-getopt
#Requires:  jboss-common-core
#Requires:  jboss-remoting
#Requires:  jboss-serialization
#Requires:  jboss4-jmx
#Requires:  jbossws
#Requires:  jbossws-parent
#Requires:  jbossws-spi


Requires: jpackage-utils
Requires: java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils 

%description
The RHQ project is a systems management suite that provides extensible and 
integrated systems management for multiple products and platforms across 
a set of core features such as
  * monitoring and graphing of values
  * alerting on error conditions
  * remote configuration of managed resources
  * remote operation execution


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package parent
Summary:        RHQ
Group:          Development/Java
Requires:       rhq

%description parent
parent POM for all RHQ modules


%package modules-parent
Summary:        RHQ Modules
Group:          Development/Java
Requires:       rhq-parent

%description modules-parent
parent POM for all RHQ modules

%package plugins-parent
Summary:        RHQ Plugins
Group:          Development/Java
Requires:       rhq-parent

%description plugins-parent
parent POM for all RHQ plugins

%package common-parent
Summary:        RHQ Common Plugin Libraries
Group:          Development/Java
Requires:       rhq-parent

%description common-parent
parent POM for all RHQ common plugin libraries


%package ant-bundle-common
Summary:        RHQ Ant Bundle Plugins Common Library
Group:          Development/Java
Requires:       rhq-common-parent

%description ant-bundle-common
A library with the code common to the agent and server plugins for Ant Bundles

%package filetemplate-bundle-common
Summary:        RHQ File Template Bundle Plugins Common Library
Group:          Development/Java
Requires:       rhq-common-parent

%description filetemplate-bundle-common
A library with the code common to the agent and server plugins for File Template Bundles

%package jboss-as-common
Summary:        RHQ JBossAS 4/5 Plugins Common Library
Group:          Development/Java
Requires:       rhq-common-parent

%description jboss-as-common
A library with the code common to the JBoss AS 4 and 5 plugins

%package core-parent
Summary:        RHQ Core Modules
Group:          Development/Java
Requires:       rhq-parent

%description core-parent
parent POM for modules comprising the RHQ core (i.e. modules required by both the enterprise and embedded editions of RHQ)

%package core-client-api
Summary:        RHQ Client API
Group:          Development/Java
Requires:       rhq-common-parent

%description core-client-api
Server and Client APIs for invoking operations on the RHQ plugin container

%package core-comm-api
Summary:        RHQ Enterprise Agent-Server Communications Annotations API
Group:          Development/Java
Requires:       rhq-common-parent

%description core-comm-api
Communications API containing annotations that can be applied to
interfaces that do not necessarily have access to the full comm module

%package core-dbutils
Summary:        RHQ Database Utilities
Group:          Development/Java
Requires:       rhq-common-parent

%description core-dbutils
Database schema setup, upgrade and other utilities

%package core-domain
Summary:        RHQ Domain Model
Group:          Development/Java
Requires:       rhq-common-parent

%description core-domain
RHQ domain model classes (i.e. POJOs used by both server and agent)

%package core-gui
Summary:        RHQ Shared GUI Classes
Group:          Development/Java
Requires:       rhq-common-parent

%description core-gui
JSF utility classes, validators, converters, etc. that are used by both enterprise and embedded

%package core-native-system
Summary:        RHQ Native System API
Group:          Development/Java
Requires:       rhq-common-parent

%description core-native-system
Java API that wraps the native library used to access low-level system resources natively

%package core-plugin-api
Summary:        RHQ Plugin API
Group:          Development/Java
Requires:       rhq-common-parent

%description core-plugin-api
RHQ Plugin API used to write custom plugins

%package core-plugin-container
Summary:        RHQ Plugin Container
Group:          Development/Java
Requires:       rhq-common-parent

%description core-plugin-container
RHQ plugin container

%package plugin-validator
Summary:        RHQ Plugin Validator Maven 2 Plugin
Group:          Development/Java
Requires:       rhq-common-parent

%description plugin-validator
RHQ Plugin Validator Maven 2 Plugin

%package core-plugindoc
Summary:        RHQ PluginDoc Maven 2 Plugin
Group:          Development/Java
Requires:       rhq-common-parent

%description core-plugindoc
RHQ PluginDoc Maven 2 Plugin

%package core-util
Summary:        RHQ Utilities
Group:          Development/Java
Requires:       rhq-common-parent

%description core-util
generic utility classes for use by any RHQ module

%package helpers
Summary:        RHQ Helpers
Group:          Development/Java
Requires:       rhq-parent

%description helpers
parent POM for all RHQ helpers

%package pluginAnnotations
Summary:        RHQ Plugin Annotations
Group:          Development/Java
Requires:       rhq-common-parent

%description pluginAnnotations
Annotations to help generate plugin descriptors

%package rtfilter
Summary:        RHQ rtfilter
Group:          Development/Java
Requires:       rhq-common-parent

%description rtfilter
Filter to gather response time metrics from web applcations

%package pluginGen
Summary:        RHQ plugin generator
Group:          Development/Java
Requires:       rhq-common-parent

%description pluginGen
Helper to generate plugin skeletons

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q  -n %{name}
%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav
%patch9 -b .sav
%patch10 -b .sav
%patch11 -b .sav
%patch12 -b .sav
%patch13 -b .sav
%patch14 -b .sav
%patch15 -b .sav

export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
mkdir -p $MAVEN_REPO_LOCAL
pushd $MAVEN_REPO_LOCAL
tar jxf %{SOURCE3}
#tar zxf %{SOURCE4}
#tar zxf %{SOURCE8}
#sed -i "s|2.0.9|2.0.8|g" org/codehaus/mojo/gwt-maven-plugin/1.2/gwt-maven-plugin-1.2.pom
popd

%build

cp %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

cat %{SOURCE1}

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository

mvn-jpp \
        -e \
        -s ${M2SETTINGS} \
        -Dmaven.test.failure.ignore=true \
        -Dmaven.test.skip=true\
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven2.jpp.mode=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Pcore \
        -Ddbsetup-do-not-check-schema=true \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        dependency:tree install deploy:deploy javadoc:aggregate

for target in $(find . -type d -name target); do
    ls $target;
done    

%install

# install component only contains pom.xml
install_pom() {
    artifact_directory=$1
    artifact_name=$2

    %add_to_maven_depmap org.rhq $artifact_name %{project_version} JPP $artifact_name
    install -pm 644 $artifact_directory/pom.xml  %{buildroot}%{_datadir}/maven2/poms/JPP-$artifact_name.pom
}

# install component contains pom.xml and jar
install_jar() {
    artifact_directory=$1
    artifact_name=$2

    %add_to_maven_depmap org.rhq $artifact_name %{project_version} JPP $artifact_name
    install -pm 644 $artifact_directory/pom.xml  %{buildroot}%{_datadir}/maven2/poms/JPP-$artifact_name.pom
    install -m 644 $artifact_directory/target/$artifact_name-%{project_version}.jar   %{buildroot}%{_javadir}/$artifact_name-%{project_version}.jar
}

# install component only contains pom.xml for org.rhq.helpers
install_pom_helpers() {
    artifact_directory=$1
    artifact_name=$2

    %add_to_maven_depmap org.rhq.helpers $artifact_name %{project_version} JPP $artifact_name
    install -pm 644 $artifact_directory/pom.xml  %{buildroot}%{_datadir}/maven2/poms/JPP-$artifact_name.pom
}

# install component contains pom.xml and jar for org.rhq.helpers
install_jar_helpers() {
    artifact_directory=$1
    artifact_name=$2

    %add_to_maven_depmap org.rhq.helpers $artifact_name %{project_version} JPP $artifact_name
    install -pm 644 $artifact_directory/pom.xml  %{buildroot}%{_datadir}/maven2/poms/JPP-$artifact_name.pom
    install -m 644 $artifact_directory/target/$artifact_name-%{project_version}.jar   %{buildroot}%{_javadir}/$artifact_name-%{project_version}.jar
}

# install pom.xml and jar to repolib
install_repo() {
    artifact_name=$1

    %{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP-$artifact_name.pom %{buildroot}%{repodirlib}/$artifact_name.pom
    if [ -f $artifact_directory/target/$artifact_name.jar ]; then
        %{__cp} -p $artifact_directory/target/$artifact_name.jar %{buildroot}%{repodirlib}/$artifact_name.jar
    fi
}


rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms

#rhq-parent
install_pom . rhq-parent

#rhq-modules-parent
install_pom modules rhq-modules-parent

#rhq-plugins-parent
install_pom modules/plugins rhq-plugins-parent

#rhq-common-parent
install_pom modules/common rhq-common-parent

#rhq-ant-bundle-common
install_jar modules/common/ant-bundle rhq-ant-bundle-common

#rhq-filetemplate-bundle-common
install_jar modules/common/filetemplate-bundle rhq-filetemplate-bundle-common

#rhq-jboss-as-common
install_jar modules/common/jboss-as rhq-jboss-as-common

#rhq-core-parent
install_pom modules/core rhq-core-parent

#rhq-core-client-api
install_jar modules/core/client-api rhq-core-client-api

#rhq-core-comm-api
install_jar modules/core/comm-api rhq-core-comm-api

#rhq-core-dbutils
install_jar modules/core/dbutils rhq-core-dbutils

#rhq-core-domain
#install_jar modules/core/domain rhq-core-domain
%add_to_maven_depmap org.rhq rhq-core-domain %{project_version} JPP rhq-core-domain
install -pm 644 modules/core/domain/pom.xml  %{buildroot}%{_datadir}/maven2/poms/JPP-rhq-core-domain.pom
install -m 644 modules/core/domain/target/rhq-core-domain-ejb3.jar   %{buildroot}%{_javadir}/rhq-core-domain-%{project_version}.jar

#rhq-core-gui
install_jar modules/core/gui rhq-core-gui

#rhq-core-native-system
install_jar modules/core/native-system rhq-core-native-system

#rhq-core-plugin-api
install_jar modules/core/plugin-api rhq-core-plugin-api

#rhq-core-plugin-container
install_jar modules/core/plugin-container rhq-core-plugin-container

#rhq-plugin-validator
install_jar modules/core/plugin-validator rhq-plugin-validator

#rhq-core-plugindoc
install_jar modules/core/plugindoc rhq-core-plugindoc

#rhq-core-util
install_jar modules/core/util rhq-core-util

#rhq-helpers
install_pom_helpers modules/helpers rhq-helpers

#rhq-pluginAnnotations
install_jar_helpers modules/helpers/pluginAnnotations rhq-pluginAnnotations

#rhq-rtfilter
install_jar_helpers modules/helpers/rtfilter rhq-rtfilter

#rhq-pluginGen
install_jar_helpers modules/helpers/pluginGen rhq-pluginGen

(cd %{buildroot}%{_javadir} && for jar in *-%{project_version}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{project_version}||g"`; done)

#apidocs
install -d -m 0755  %{buildroot}%{_javadocdir}/rhq-%{project_version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/rhq-%{project_version}/
ln -s rhq-%{project_version} %{buildroot}%{_javadocdir}/rhq


%if %with repolib

%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew

%{__mkdir_p} %{buildroot}%{repodir}
%{__mkdir_p} %{buildroot}%{repodirlib}
%{__cp} -p %{SOURCE3} %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{version}-brew`
%{__sed} -i "s/@VERSION@/$tag/g" %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__mkdir_p} %{buildroot}%{repodirsrc}

%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE1} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE2} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE3} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH0} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH1} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH2} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH3} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH4} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH5} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH6} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH7} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH8} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH9} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH10} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH11} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH12} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH13} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH14} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH15} %{buildroot}%{repodirsrc}

install_repo rhq-parent
install_repo rhq-modules-parent
install_repo rhq-plugins-parent
install_repo rhq-common-parent
install_repo rhq-ant-bundle-common
install_repo rhq-filetemplate-bundle-common
install_repo rhq-jboss-as-common
install_repo rhq-core-parent
install_repo rhq-core-client-api
install_repo rhq-core-comm-api
install_repo rhq-core-dbutils
install_repo rhq-core-domain
install_repo rhq-core-gui
install_repo rhq-core-native-system
install_repo rhq-core-plugin-api
install_repo rhq-core-plugin-container
install_repo rhq-plugin-validator
install_repo rhq-core-plugindoc
install_repo rhq-core-util
install_repo rhq-helpers
install_repo rhq-pluginAnnotations
install_repo rhq-rtfilter
install_repo rhq-pluginGen

%endif


%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
#%{_javadir}/*
#%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/rhq-%{project_version}
%{_javadocdir}/rhq

%files parent
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-parent.pom

%files modules-parent
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-modules-parent.pom

%files plugins-parent
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-plugins-parent.pom

%files common-parent
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-common-parent.pom

%files ant-bundle-common
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-ant-bundle-common.pom
%{_javadir}*/rhq-ant-bundle-common*.jar

%files filetemplate-bundle-common
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-filetemplate-bundle-common.pom
%{_javadir}*/rhq-filetemplate-bundle-common*.jar

%files jboss-as-common
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-jboss-as-common.pom
%{_javadir}*/rhq-jboss-as-common*.jar

%files core-parent
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-parent.pom

%files core-client-api
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-client-api.pom
%{_javadir}*/rhq-core-client-api*.jar

%files core-comm-api
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-comm-api.pom
%{_javadir}*/rhq-core-comm-api*.jar

%files core-dbutils
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-dbutils.pom
%{_javadir}*/rhq-core-dbutils*.jar

%files core-domain
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-domain.pom
%{_javadir}*/rhq-core-domain*.jar

%files core-gui
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-gui.pom
%{_javadir}*/rhq-core-gui*.jar

%files core-native-system
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-native-system.pom
%{_javadir}*/rhq-core-native-system*.jar

%files core-plugin-api
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-plugin-api.pom
%{_javadir}*/rhq-core-plugin-api*.jar

%files core-plugin-container
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-plugin-container.pom
%{_javadir}*/rhq-core-plugin-container*.jar

%files plugin-validator
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-plugin-validator.pom
%{_javadir}*/rhq-plugin-validator*.jar

%files core-plugindoc
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-plugindoc.pom
%{_javadir}*/rhq-core-plugindoc*.jar

%files core-util
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-core-util.pom
%{_javadir}*/rhq-core-util*.jar

%files helpers
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-helpers.pom

%files pluginAnnotations
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-pluginAnnotations.pom
%{_javadir}*/rhq-pluginAnnotations*.jar

%files rtfilter
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-rtfilter.pom
%{_javadir}*/rhq-rtfilter*.jar

%files pluginGen
%defattr(-,root,root,-)
%{_datadir}/maven2/poms/JPP-rhq-pluginGen.pom
%{_javadir}*/rhq-pluginGen*.jar

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu Apr 14 2011 Yong Yang <yyang@redhat.com> 3.0.0-17.EmbJopr3
- Add version to Source0 due to errata complaint
- Add BR: stax_1_0_api
- Remove BR: jboss4-jmx

* Mon Feb 21 2011 Yong Yang <yyang@redhat.com> 3.0.0-16.EmbJopr3
- Correct release number

* Thu Feb 17 2011 Thomas Hauser <thauser@redhat.com> 3.0.0-1.EmbJopr3
- Rebuild for upgrade to tag RHQ_3_0_0_EmbJopr3.
- Change BR: sigar to BR: sigar-java

* Mon Jan 14 2011 Yong Yang <yyang@redhat.com> 3.0.0-15.EmbJopr2
- Add provided scope for hibernate dependencies in patches

* Mon Dec 13 2010 Yong Yang <yyang@redhat.com> 3.0.0-14.EmbJopr2
- Add repolib

* Mon Dec 6 2010 Yong Yang <yyang@redhat.com> 3.0.0-13.1.EmbJopr2
- Create patch to remove hibernate-all dependency from module/plugins/pom.xml
- Use javadoc:aggregate to generate javadocs

* Fri Dec 3 2010 Yong Yang <yyang@redhat.com> 3.0.0-12.1.EmbJopr2
- Remove gmaven jpp-depmap

* Thu Dec 2 2010 Yong Yang <yyang@redhat.com> 3.0.0-12.EmbJopr2
- Rebuild

* Wed Dec 1 2010 Yong Yang <yyang@redhat.com> 3.0.0-11.EmbJopr2
- Remove Source rhq-jboss-embeddable-ejb3-hibernate-all.tar.gz
- Add Patch: hq-core-plugin-api-pom.patch, rhq-core-client-api-pom.patch, rhq-core-common-pom.patch

* Mon Oct 11 2010 Yong Yang <yyang@redhat.com> 3.0.0-10.EmbJopr2
- Fix dangling symlink in javadoc subpackages
- Add comment for patches

* Wed Sep 08 2010 Yong Yang <yyang@redhat.com> 3.0.0-9.EmbJopr2
- re-create Source0 by bzip2 with .git/ removed

* Wed Sep 08 2010 Yong Yang <yyang@redhat.com> 3.0.0-8.EmbJopr2
- Remove jboss-seam2.tar.gz, BR:  jboss-seam2-runtime

* Wed Sep 08 2010 Yong Yang <yyang@redhat.com> 3.0.0-7.EmbJopr2
- Remove Requres, "...they are mostly build-time only, and the container where RHQ will be deployed has the others..." 

* Mon Sep 06 2010 Yong Yang <yyang@redhat.com> 3.0.0-6.EmbJopr2
- Fix groupId of rhq-core-domain

* Mon Sep 06 2010 Yong Yang <yyang@redhat.com> 3.0.0-5.EmbJopr2
- Fix jars location in files

* Sun Sep 05 2010 Yong Yang <yyang@redhat.com> 3.0.0-4.EmbJopr2
- Add rhq-plugins-parent

* Sun Sep 05 2010 Yong Yang <yyang@redhat.com> 3.0.0-3.EmbJopr2
- Do not include jars & pom in rhq rpm

* Sun Sep 05 2010 Yong Yang <yyang@redhat.com> 3.0.0-2.EmbJopr2
- Add Requires

* Mon Aug 30 2010 Yong Yang <yyang@redhat.com> 3.0.0-1.EmbJopr2
- Initial build
